# generator-levi-9-angularjs-2 [![NPM version][npm-image]][npm-url]
> Yeoman generator for levi9 angularjs2 projects

## Installation

First, install [Yeoman](http://yeoman.io) and [generator-levi-9-angularjs-2](https://www.npmjs.com/package/generator-levi-9-angularjs-2) using [npm](https://www.npmjs.com/) (we assume you have pre-installed [node.js](https://nodejs.org/)).

```bash
npm install -g yo
npm install -g generator-levi-9-angularjs-2
```

This will install latest version of generator. In case you want to install last stable version, use:

```bash
npm install -g generator-levi-9-angularjs-2@stable
```

### Generate project

```bash
mkdir yourproject
cd yourproject
yo levi-9-angularjs-2
```

Additionally you can start app with ```npm start```

## Scaffolding

### Component

```bash
yo levi-9-angularjs-2:component my-component path
```

 > ```my-component (required)```: name of your component, accepted: kebab-case, snake_case, camelCase
 
 > ```path (optional)```: path where your component will be stored, relative to '$root/src/app', default is 'src/app/'
 
 > ```files generated```: my-component.component.ts, my-component.component.(s)css, my-component.component.html, my-component.spec.ts
 
### Service
 
 ```bash
 yo levi-9-angularjs-2:service my-service path
 ```
 
  > ```my-service (required)```: name of your service, accepted: kebab-case, snake_case, camelCase
  
  > ```path (optional)```: path where your service will be stored, relative to '$root/src/app', default is 'src/app/'
  
  > ```files generated```: my-service.service.ts, my-service.spec.ts
  
### Class
   
 ```bash
 yo levi-9-angularjs-2:class my-class path
 ```
 
  > ```my-class (required)```: name of your class, accepted: kebab-case, snake_case, camelCase
  
  > ```path (optional)```: path where your class will be stored, relative to '$root/src/app', default is 'src/app/'
  
  > ```file generated```: my-class.ts
  
### Entity 

```bash
yo levi-9-angularjs-2:entity my-entity path
```

> ```my-entity (required)```: name of your entity, accepted: kebab-case, snake_case, camelCase

> ```path (optional)```: path where your class will be stored, relative to '$root/src/app/', default is 'src/app/my-entity'

> ```files generated```: combines all above and places files in src/app/my-entity/ 

### Module 

```bash
yo levi-9-angularjs-2:module my-module path
```

> ```my-module (required)```: name of your module, accepted: kebab-case, snake_case, camelCase

> ```path (optional)```: path where your class will be stored, relative to '$root/src/app/', default is 'src/app/my-module'

> ```files generated```: creates my-module.module.ts, complete entity with my-module name 

### Interface
   
 ```bash
 yo levi-9-angularjs-2:interface my-interface path
 ```
 
  > ```my-interface (required)```: name of your interface, accepted: kebab-case, snake_case, camelCase
  
  > ```path (optional)```: path where your interface will be stored, relative to '$root/src/app', default is 'src/app/'
  
  > ```file generated```: my-interface.interface.ts
  
### Pipe
   
 ```bash
 yo levi-9-angularjs-2:pipe my-pipe path
 ```
 
  > ```my-pipe (required)```: name of your pipe, accepted: kebab-case, snake_case, camelCase
  
  > ```path (optional)```: path where your pipe will be stored, relative to '$root/src/app', default is 'src/app/'
  
  > ```file generated```: my-pipe.pipe.ts

### Renaming

Used to rename generated files
   
 ```bash
 yo levi-9-angularjs-2:rename type old-value new-value path
 ```
 
> ```type (required)```: what should be renamed, available: component, entity, module

> ```old-value (required)```: name of old value to be renamed, example: my-component

> ```new-value (required)```: name of new value, example: my-new-component

> ```path (optional)```: path you provided when creating component, entity or module

> ```files changed```: all file names of given type and it's references, example: main.component.html becomes main-new.component.html, export class MainComponent becomes export class MainNewComponent


## Getting To Know Yeoman

 * Feel free to [learn more about Yeoman](http://yeoman.io/).

## License

 © [Levi9](http://www.levi9.com/), all rights reserved


[npm-image]: https://badge.fury.io/js/generator-levi-9-angularjs-2.svg
[npm-url]: https://npmjs.org/package/generator-levi-9-angularjs-2
[travis-image]: https://travis-ci.org//generator-levi-9-angularjs-2.svg?branch=master
[travis-url]: https://travis-ci.org//generator-levi-9-angularjs-2
[daviddm-image]: https://david-dm.org//generator-levi-9-angularjs-2.svg?theme=shields.io
[daviddm-url]: https://david-dm.org//generator-levi-9-angularjs-2
