# <%=name%>

<%=desc%>

## Requirements

```
"node": ">= 4.2.1"
"npm": ">= 3"
```

## Build && Run

Run `npm install` to install dependencies.

Run `npm run start` for running server with watcher or `npm run start:hmr` (for [Hot Module Replacement](https://webpack.github.io/docs/hot-module-replacement-with-webpack.html)), serving on http://localhost:3000.

## Testing

Running `npm run test` to run unit tests with karma.

Protractor tests can be ran with `npm run start` followed by `npm run e2e`

## Other tasks

Check scripts in `package.json` for other tasks and [npm manual for running scripts](https://docs.npmjs.com/misc/scripts). Alternatively, check manual for [running npm scripts in webstorm](https://www.jetbrains.com/help/webstorm/2016.2/running-npm-scripts.html) or [npm autocomplete](https://docs.npmjs.com/cli/completion) from bash (Linux users only).